I just noticed this on my Operating System, it says...

GWGeorge007
GWGeorge007
Joined: 8 Jan 18
Posts: 388
Credit: 678,897,986
RAC: 2,204,986
Topic 226092

"Operating system: Linux Ubuntu Ubuntu 20.04.3 LTS [5.11.0-35-generic|libc ignored. (cannot open shared object file)]"

I've been running this system for a month now and this is the first time that I noticed it.  Can anyone tell me what it means?

My computer has in it a 3950X CPU and a RTX 2060 GPU.

George

Keith Myers
Keith Myers
Joined: 11 Feb 11
Posts: 1,347
Credit: 2,625,431,377
RAC: 6,195,864

You have an issue with the

You have an issue with the standard libc library for some reason that BOINC is not finding it. This could pose some bad problems if you need to compile anything.

Check to see if it is installed first.

ldd --version

sudo /lib/x86_64-linux-gnu/libc.so.6

apt-cache show libc6

If there are issues where none of these commands find your libc then go ahead and update and install it.

sudo apt-get update sudo apt-get install libc6

 

GWGeorge007
GWGeorge007
Joined: 8 Jan 18
Posts: 388
Credit: 678,897,986
RAC: 2,204,986

george@GWG-PC2:~$

george@GWG-PC2:~$ cd
george@GWG-PC2:~$ ldd --version
ldd (Ubuntu GLIBC 2.31-0ubuntu9.2) 2.31
Copyright (C) 2020 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Written by Roland McGrath and Ulrich Drepper.
george@GWG-PC2:~$ sudo /lib/x86_64-linux-gnu/libc.so.6
[sudo] password for george:
GNU C Library (Ubuntu GLIBC 2.31-0ubuntu9.2) stable release version 2.31.
Copyright (C) 2020 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
Compiled by GNU CC version 9.3.0.
libc ABIs: UNIQUE IFUNC ABSOLUTE
For bug reporting instructions, please see:
<https://bugs.launchpad.net/ubuntu/+source/glibc/+bugs>.
george@GWG-PC2:~$ apt-cache show libc6
Package: libc6
Architecture: amd64
Version: 2.31-0ubuntu9.2
Multi-Arch: same
Priority: required
Section: libs
Source: glibc
Origin: Ubuntu
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 13246
Depends: libgcc-s1, libcrypt1 (>= 1:4.4.10-10ubuntu4)
Recommends: libidn2-0 (>= 2.0.5~)
Suggests: glibc-doc, debconf | debconf-2.0, locales
Conflicts: openrc (<< 0.27-2~)
Breaks: hurd (<< 1:0.9.git20170910-1), iraf-fitsutil (<< 2018.07.06-4), libtirpc1 (<< 0.2.3), locales (<< 2.31), locales-all (<< 2.31), nocache (<< 1.1-1~), nscd (<< 2.31), r-cran-later (<< 0.7.5+dfsg-2), wcc (<< 0.0.2+dfsg-3)
Replaces: libc6-amd64
Filename: pool/main/g/glibc/libc6_2.31-0ubuntu9.2_amd64.deb
Size: 2714688
MD5sum: 582b1c473c06200a9de9652915955642
SHA1: b1270449ee8ba6bb8f392d2a14a03c258e190df6
SHA256: be7386ac249db6f5500f483456c135553a7b5b333388afa150a1f2ff3a294bb1
SHA512: 2e5e62aa7426c436dad1ff71b7a689cbe334f4251b19fb2c22209ce1930315588f725dd60e44d2710d6dea1ff20f4b0b9167b4a469fefdc160e6535c0bd7f751
Homepage: https://www.gnu.org/software/libc/libc.html
Description-en: GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
Description-md5: fc3001b0b90a1c8e6690b283a619d57f
Task: minimal
Original-Vcs-Browser: https://salsa.debian.org/glibc-team/glibc
Original-Vcs-Git: https://salsa.debian.org/glibc-team/glibc.git

Package: libc6
Architecture: amd64
Version: 2.31-0ubuntu9
Multi-Arch: same
Priority: required
Section: libs
Source: glibc
Origin: Ubuntu
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 13245
Depends: libgcc-s1, libcrypt1 (>= 1:4.4.10-10ubuntu4)
Recommends: libidn2-0 (>= 2.0.5~)
Suggests: glibc-doc, debconf | debconf-2.0, locales
Conflicts: openrc (<< 0.27-2~)
Breaks: hurd (<< 1:0.9.git20170910-1), iraf-fitsutil (<< 2018.07.06-4), libtirpc1 (<< 0.2.3), locales (<< 2.31), locales-all (<< 2.31), nocache (<< 1.1-1~), nscd (<< 2.31), r-cran-later (<< 0.7.5+dfsg-2), wcc (<< 0.0.2+dfsg-3)
Replaces: libc6-amd64
Filename: pool/main/g/glibc/libc6_2.31-0ubuntu9_amd64.deb
Size: 2713080
MD5sum: f98ce849a5117fc6a2c97707f65e4baa
SHA1: 498409b37ded590503c83f335ab2af576265d467
SHA256: 847a68e5f1ec2cd4e6fc191c5eaf0547445dd5c473c7617c068ba4441f63b292
Homepage: https://www.gnu.org/software/libc/libc.html
Description-en: GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
Description-md5: fc3001b0b90a1c8e6690b283a619d57f
Task: minimal

george@GWG-PC2:~$ sudo apt-get update sudo apt-get install libc6
E: The update command takes no arguments
george@GWG-PC2:~$


Now what?  Should I reboot?

George

Ian&Steve C.
Ian&Steve C.
Joined: 19 Jan 20
Posts: 912
Credit: 6,646,550,116
RAC: 28,153,461

george@GWG-PC2:~$ sudo

george@GWG-PC2:~$ sudo apt-get update sudo apt-get install libc6

 

this is not correct. this is supposed to be two separate commands, not on one line like this.

 

do "sudo apt update" first.

then "sudo apt install libc6" second.

_____________________________________________

GWGeorge007
GWGeorge007
Joined: 8 Jan 18
Posts: 388
Credit: 678,897,986
RAC: 2,204,986

george@GWG-PC2:~$ george@GWG-

george@GWG-PC2:~$
george@GWG-PC2:~$ sudo apt-get update
[sudo] password for george:
Ign:1 cdrom://Ubuntu 20.04.2.0 LTS _Focal Fossa_ - Release amd64 (20210209.1) focal InRelease
Err:2 cdrom://Ubuntu 20.04.2.0 LTS _Focal Fossa_ - Release amd64 (20210209.1) focal Release
  Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
Hit:3 http://us.archive.ubuntu.com/ubuntu focal InRelease
Hit:4 http://us.archive.ubuntu.com/ubuntu focal-updates InRelease                                
Hit:5 http://us.archive.ubuntu.com/ubuntu focal-backports InRelease                                   
Hit:6 http://us.archive.ubuntu.com/ubuntu focal-proposed InRelease                                    
Hit:7 http://security.ubuntu.com/ubuntu focal-security InRelease    
Hit:8 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu focal InRelease
Reading package lists... Done
E: The repository 'cdrom://Ubuntu 20.04.2.0 LTS _Focal Fossa_ - Release amd64 (20210209.1) focal Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
george@GWG-PC2:~$ sudo apt-get install libc6
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libc6 is already the newest version (2.31-0ubuntu9.2).
libc6 set to manually installed.
The following packages were automatically installed and are no longer required:
  chromium-codecs-ffmpeg-extra gstreamer1.0-vaapi i965-va-driver intel-media-va-driver libaacs0 libaom0 libass9
  libbdplus0 libbluray2 libbs2b0 libcodec2-0.9 libfftw3-double3 libflite1 libgme0 libgsm1
  libgstreamer-plugins-bad1.0-0 libigdgmm11 liblilv-0-0 libllvm11 libmysofa1 libnorm1 libopenmpt0 libpgm-5.2-0
  librubberband2 libserd-0-0 libshine3 libsnappy1v5 libsord-0-0 libsratom-0-0 libssh-gcrypt-4 libva-drm2
  libva-wayland2 libva-x11-2 libva2 libvidstab1.1 libx265-179 libxvidcore4 libzmq5 libzvbi-common libzvbi0
  mesa-va-drivers va-driver-all
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 31 not upgraded.
george@GWG-PC2:~$


I then thought that maybe I did something incorrectly, so I did this:


george@GWG-PC2:~$ sudo apt update
Ign:1 cdrom://Ubuntu 20.04.2.0 LTS _Focal Fossa_ - Release amd64 (20210209.1) focal InRelease
Err:2 cdrom://Ubuntu 20.04.2.0 LTS _Focal Fossa_ - Release amd64 (20210209.1) focal Release
  Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
Hit:3 http://us.archive.ubuntu.com/ubuntu focal InRelease
Hit:4 http://security.ubuntu.com/ubuntu focal-security InRelease                                                  
Hit:5 http://us.archive.ubuntu.com/ubuntu focal-updates InRelease                                                 
Hit:6 http://us.archive.ubuntu.com/ubuntu focal-backports InRelease                
Hit:7 http://us.archive.ubuntu.com/ubuntu focal-proposed InRelease
Hit:8 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu focal InRelease
Reading package lists... Done
E: The repository 'cdrom://Ubuntu 20.04.2.0 LTS _Focal Fossa_ - Release amd64 (20210209.1) focal Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
george@GWG-PC2:~$ sudo apt install libc6
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libc6 is already the newest version (2.31-0ubuntu9.2).
The following packages were automatically installed and are no longer required:
  chromium-codecs-ffmpeg-extra gstreamer1.0-vaapi i965-va-driver intel-media-va-driver libaacs0 libaom0 libass9
  libbdplus0 libbluray2 libbs2b0 libcodec2-0.9 libfftw3-double3 libflite1 libgme0 libgsm1
  libgstreamer-plugins-bad1.0-0 libigdgmm11 liblilv-0-0 libllvm11 libmysofa1 libnorm1 libopenmpt0 libpgm-5.2-0
  librubberband2 libserd-0-0 libshine3 libsnappy1v5 libsord-0-0 libsratom-0-0 libssh-gcrypt-4 libva-drm2
  libva-wayland2 libva-x11-2 libva2 libvidstab1.1 libx265-179 libxvidcore4 libzmq5 libzvbi-common libzvbi0
  mesa-va-drivers va-driver-all
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 31 not upgraded.
george@GWG-PC2:~$


Just for grins, I'm going to reboot.

George

GWGeorge007
GWGeorge007
Joined: 8 Jan 18
Posts: 388
Credit: 678,897,986
RAC: 2,204,986

Apparently that did it. 

Apparently that did it.  Thank you both for bailing me out once again!  ;^)

But.....

I now have a new problem.

 

George

GWGeorge007
GWGeorge007
Joined: 8 Jan 18
Posts: 388
Credit: 678,897,986
RAC: 2,204,986

(No subject)

My new problem:

" target="_self">I now have an invisible header (?) list.

George

Keith Myers
Keith Myers
Joined: 11 Feb 11
Posts: 1,347
Credit: 2,625,431,377
RAC: 6,195,864

There is something strange

There is something strange going on with your apt-cache.  It lists the repository as belonging to CDROM????

Did you make your Ubuntu Live installation for a CDROM install by chance?

I've never done so as I don't have any CDROM player installed for years.  I only use a USB Flash install for installation media.

[Edit] OBTW, the latest Ubuntu distro is 20.04.3 LTS

You are running an older version at .2.

 

GWGeorge007
GWGeorge007
Joined: 8 Jan 18
Posts: 388
Credit: 678,897,986
RAC: 2,204,986

Keith Myers wrote: There is

Keith Myers wrote:

There is something strange going on with your apt-cache.  It lists the repository as belonging to CDROM????

Did you make your Ubuntu Live installation for a CDROM install by chance?

I've never done so as I don't have any CDROM player installed for years.  I only use a USB Flash install for installation media.

[Edit] OBTW, the latest Ubuntu distro is 20.04.3 LTS

You are running an older version at .2.

To my knowledge I DID NOT do a Ubuntu Live installation for a CDROM, at least not that I know of.  Though I do have a CDROM installed in my computer, it has not been used for nearly two years.

I will update my Ubuntu distro to 20.04.3 LTS.

George

GWGeorge007
GWGeorge007
Joined: 8 Jan 18
Posts: 388
Credit: 678,897,986
RAC: 2,204,986

Okay, that apparently fixed

Okay, that apparently fixed it also.  I now have the header info visible again.

And my computer is also running Ubuntu distro 20.04.3 LTS too, now.

Thank you AGAIN! 

George

Comment viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.